import { Injectable } from "@nestjs/common";
import { ObjectType, ArgsType } from "@nestjs/graphql";
import { from, Observable, of } from "rxjs";

@ObjectType()
@ArgsType()
export class DefaultQueryData {
    queryName:string 
    queryString:string
}

@Injectable()
export class DefaultQueryService { 

    defaultQueryDatas:DefaultQueryData[]

    constructor(){
        // Trigger or somehow call the converter function
        // ...

        // Read the default query from files and set to here to this.defaultQueryDatas array format
        // ...
    }

    GetDefaultQuery():Observable<DefaultQueryData>{
        // process defaultQueryDatas into multiple observable defaultQueryData responses
        // ...
        let defaultQuery = new DefaultQueryData();
        return of(defaultQuery);
    }
}